﻿Public Class FrmMain : Implements IMainForm

	Public Event ThrowDice As EventHandler Implements IMainForm.ThrowDice
	Public Event SaveAndExit As EventHandler Implements IMainForm.SaveAndExit
	Public Event ShowConfigurations As EventHandler Implements IMainForm.ShowConfigurations

	Public Sub ShowPlayerVictoryCount(PlayerVictoryCount As String) Implements IMainForm.ShowPlayerVictoryCount
		LblPlayerVictoryCount.Text = PlayerVictoryCount
	End Sub

	Public Sub ShowComputerVictoryCount(ComputerVictoryCount As String) Implements IMainForm.ShowComputerVictoryCount
		LblComputerVictoryCount.Text = ComputerVictoryCount
	End Sub

	Public Sub ShowDrawCount(DrawCount As String) Implements IMainForm.ShowDrawCount
		LblDrawCount.Text = DrawCount
	End Sub

	Public Sub ShowPlayerResult(PlayerResult As String) Implements IMainForm.ShowPlayerResult
		LblCurrentPlayerResult.Text = PlayerResult
	End Sub

	Public Sub ShowComputerResult(ComputerResult As String) Implements IMainForm.ShowComputerResult
		LblCurrentComputerResult.Text = ComputerResult
	End Sub

	Public Sub ShowResult(Result As String) Implements IMainForm.ShowResult
		LblResult.Text = Result
	End Sub

	Private Sub IForm_Show() Implements IMainForm.Show
		ShowDialog()
	End Sub

	Private Sub IForm_Close() Implements IMainForm.Close
		Close()
	End Sub

	Private Sub BtnThrowDice_Click(sender As Object, e As EventArgs) Handles BtnThrowDice.Click
		RaiseEvent ThrowDice(Me, EventArgs.Empty)
	End Sub

	Private Sub BtnSaveAndExit_Click(sender As Object, e As EventArgs) Handles BtnSaveAndExit.Click
		RaiseEvent SaveAndExit(Me, EventArgs.Empty)
	End Sub

	Private Sub BtnConfiguration_Click(sender As Object, e As EventArgs) Handles BtnConfiguration.Click
		RaiseEvent ShowConfigurations(Me, EventArgs.Empty)
	End Sub

End Class